Subject: Looking for some YANG help

From: Robert Moskowitz <[email-masked]>
Date: Thu, 12 Dec 2019 09:46:51 -0500

This will be my first foray into YANG, though I did some YANG reviewing 
of drafts I co-authored in I2NSF (but I did not to the YANG content).

This is for the work for TM-RID.

For starters I want to express an ORCHID, RFC 7343 in YANG.

And ORCHIDs are IPv6 addresses...

Then on to my new draft, draft-moskowitz-orchid-cshake, I want to 
express this revised ORCHID construct in YANG.

There will be more YANG work in the various drafts written already for 
TM-RID.

I am hoping someone can point me to material that can jumpstart my work 
and learning to put data structures into YANG.

And also the XML for inclusion in the actual drafts.  Oh, and I do have 
the YANG cheat Sheet that was distributed a few IETFs ago.

You can email me directly.

Thanks for all help

Bob